
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python NumPy库安装使用笔记 / iVAN</title>

    <meta name="description" content="Python NumPy库安装使用笔记   这篇文章主要介绍了Python NumPy库安装使用笔记,本文讲解了NumPy的安装和基础使用,并对每一句代码都做了详细解释,需要的朋友可以参考下 1. NumPy安装 使用pip包管理工具进行安装 代码如下: $ sudo pip install numpy 使用pip包管理工具安装ipython(交互式shell工具) 代码如下: $ sudo pip instlal ipython $ ipython --pylab #pylab模式下, 会自动导入SciPy, NumPy, Matp">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python NumPy库安装使用笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　这篇文章主要介绍了Python  NumPy库安装使用笔记,本文讲解了NumPy的安装和基础使用,并对每一句代码都做了详细解释,需要的朋友可以参考下</p>
<p>　　1. NumPy安装</p>
<p>　　使用pip包管理工具进行安装</p>
<p>　　 代码如下:</p>
<p>　　$ sudo pip install numpy</p>
<p>　　使用pip包管理工具安装ipython(交互式shell工具)</p>
<p>　　 代码如下:</p>
<p>　　$ sudo pip instlal ipython</p>
<p>　　$ ipython --pylab #pylab模式下, 会自动导入SciPy, NumPy, Matplotlib模块</p>
<p>　　2. NumPy基础</p>
<p>　　2.1. NumPy数组对象</p>
<p>　　具体解释可以看每一行代码后的解释和输出</p>
<p>　　代码如下:</p>
<p>　　In [1]: a = arange(5) # 创建数据</p>
<p>　　In [2]: a.dtype</p>
<p>　　Out[2]: dtype('int64') # 创建数组的数据类型</p>
<p>　　In [3]: a.shape # 数组的维度, 输出为tuple</p>
<p>　　Out[3]: (5,)</p>
<p>　　In [6]: m = array([[1, 2], [3, 4]]) # array将list转换为NumPy数组对象</p>
<p>　　In [7]: m # 创建多维数组</p>
<p>　　Out[7]:</p>
<p>　　array([[1, 2],</p>
<p>　　[3, 4]])</p>
<p>　　In [10]: m.shape # 维度为2 * 2</p>
<p>　　Out[10]: (2, 2)</p>
<p>　　In [14]: m[0, 0] # 访问多维数组中特定位置的元素, 下标从0开始</p>
<p>　　Out[14]: 1</p>
<p>　　In [15]: m[0, 1]</p>
<p>　　Out[15]: 2</p>
<p>　　2.2. 数组的索引和切片</p>
<p>　　 代码如下:</p>
<p>　　In [16]: a[2: 4] # 切片操作类似与Python中list的切片操作</p>
<p>　　Out[16]: array([2, 3])</p>
<p>　　In [18]: a[2 : 5: 2] # 切片步长为2</p>
<p>　　Out[18]: array([2, 4])</p>
<p>　　In [19]: a[ : : -1] # 翻转数组</p>
<p>　　Out[19]: array([4, 3, 2, 1, 0])</p>
<p>　　In [20]: b = arange(24).reshape(2, 3, 4) # 修改数组的维度</p>
<p>　　In [21]: b.shape</p>
<p>　　Out[21]: (2, 3, 4)</p>
<p>　　In [22]: b # 打印数组</p>
<p>　　Out[22]:</p>
<p>　　array([[[ 0, 1, 2, 3],</p>
<p>　　[ 4, 5, 6, 7],</p>
<p>　　[ 8, 9, 10, 11]],</p>
<p>　　[[12, 13, 14, 15],</p>
<p>　　[16, 17, 18, 19],</p>
<p>　　[20, 21, 22, 23]]])</p>
<p>　　In [23]: b[1, 2, 3] # 选取特定元素</p>
<p>　　Out[23]: 23</p>
<p>　　In [24]: b[ : , 0, 0] # 忽略某个下标可以用冒号代替</p>
<p>　　Out[24]: array([ 0, 12])</p>
<p>　　In [23]: b[1, 2, 3]</p>
<p>　　Out[23]: 23</p>
<p>　　In [24]: b[ : , 0, 0] # 忽略多个下标可以使用省略号代替</p>
<p>　　Out[24]: array([ 0, 12])</p>
<p>　　In [26]: b.ravel() # 数组的展平操作</p>
<p>　　Out[26]:</p>
<p>　　array([ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16,</p>
<p>　　17, 18, 19, 20, 21, 22, 23])</p>
<p>　　In [27]: b.flatten() # 与revel功能相同, 这个函数会请求分配内存来保存结果</p>
<p>　　Out[27]:</p>
<p>　　array([ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16,</p>
<p>　　17, 18, 19, 20, 21, 22, 23])</p>
<p>　　In [30]: b.shape = (6, 4) # 可以直接对shape属性赋值元组来设置维度</p>
<p>　　In [31]: b</p>
<p>　　Out[31]:</p>
<p>　　array([[ 0, 1, 2, 3],</p>
<p>　　[ 4, 5, 6, 7],</p>
<p>　　[ 8, 9, 10, 11],</p>
<p>　　[12, 13, 14, 15],</p>
<p>　　[16, 17, 18, 19],</p>
<p>　　[20, 21, 22, 23]])</p>
<p>　　In [30]: b.shape = (6, 4) # 矩阵的转置</p>
<p>　　In [31]: b</p>
<p>　　Out[31]:</p>
<p>　　array([[ 0, 1, 2, 3],</p>
<p>　　[ 4, 5, 6, 7],</p>
<p>　　[ 8, 9, 10, 11],</p>
<p>　　[12, 13, 14, 15],</p>
<p>　　[16, 17, 18, 19],</p>
<p>　　[20, 21, 22, 23]])</p>
<p>　　2.3. 组合数组</p>
<p>　　 代码如下:</p>
<p>　　In [1]: a = arange(9).reshape(3, 3) # 生成数组对象并改变维度</p>
<p>　　In [2]: a</p>
<p>　　Out[2]:</p>
<p>　　array([[0, 1, 2],</p>
<p>　　[3, 4, 5],</p>
<p>　　[6, 7, 8]])</p>
<p>　　In [3]: b = a * 2 # 对a数组对象所有元素乘2</p>
<p>　　In [4]: b</p>
<p>　　Out[4]:</p>
<p>　　array([[ 0, 2, 4],</p>
<p>　　[ 6, 8, 10],</p>
<p>　　[12, 14, 16]])</p>
<p>　　#######################</p>
<p>　　In [5]: hstack((a, b)) # 水平组合数组a和数组b</p>
<p>　　Out[5]:</p>
<p>　　array([[ 0, 1, 2, 0, 2, 4],</p>
<p>　　[ 3, 4, 5, 6, 8, 10],</p>
<p>　　[ 6, 7, 8, 12, 14, 16]])</p>
<p>　　In [6]: vstack((a, b)) # 垂直组合数组a和数组b</p>
<p>　　Out[6]:</p>
<p>　　array([[ 0, 1, 2],</p>
<p>　　[ 3, 4, 5],</p>
<p>　　[ 6, 7, 8],</p>
<p>　　[ 0, 2, 4],</p>
<p>　　[ 6, 8, 10],</p>
<p>　　[12, 14, 16]])</p>
<p>　　In [7]: dstack((a, b)) # 深度组合数组, 沿z轴方向层叠组合数组</p>
<p>　　Out[7]:</p>
<p>　　array([[[ 0, 0],</p>
<p>　　[ 1, 2],</p>
<p>　　[ 2, 4]],</p>
<p>　　[[ 3, 6],</p>
<p>　　[ 4, 8],</p>
<p>　　[ 5, 10]],</p>
<p>　　[[ 6, 12],</p>
<p>　　[ 7, 14],</p>
<p>　　[ 8, 16]]])</p>
<p>　　2.4. 分割数组</p>
<p>　　复制代码 代码如下:</p>
<p>　　In [8]: a</p>
<p>　　Out[8]:</p>
<p>　　array([[0, 1, 2],</p>
<p>　　[3, 4, 5],</p>
<p>　　[6, 7, 8]])</p>
<p>　　In [9]: hsplit(a, 3) # 将数组沿水平方向分割成三个相同大小的子数组</p>
<p>　　Out[9]:</p>
<p>　　[array([[0],</p>
<p>　　[3],</p>
<p>　　[6]]),</p>
<p>　　array([[1],</p>
<p>　　[4],</p>
<p>　　[7]]),</p>
<p>　　array([[2],</p>
<p>　　[5],</p>
<p>　　[8]])]</p>
<p>　　In [10]: vsplit(a, 3) # 将数组沿垂直方向分割成三个子数组</p>
<p>　　Out[10]: [array([[0, 1, 2]]), array([[3, 4, 5]]), array([[6, 7, 8]])]</p>
<p>　　2.5. 数组的属性</p>
<p>　　复制代码 代码如下:</p>
<p>　　In [12]: a.ndim # 给出数组的尾数或数组的轴数</p>
<p>　　Out[12]: 2</p>
<p>　　In [13]: a.size # 数组中元素的个数</p>
<p>　　Out[13]: 9</p>
<p>　　In [14]: a.itemsize # 数组中元素在内存中所占字节数(int64)</p>
<p>　　Out[14]: 8</p>
<p>　　In [15]: a.nbytes # 数组所占总字节数, size * itemsize</p>
<p>　　Out[15]: 72</p>
<p>　　In [18]: a.T # 和transpose函数一样, 求数组的转置</p>
<p>　　Out[18]:</p>
<p>　　array([[0, 3, 6],</p>
<p>　　[1, 4, 7],</p>
<p>　　[2, 5, 8]])</p>
<p>　　2.6. 数组的转换</p>
<p>　　复制代码 代码如下:</p>
<p>　　In [19]: a.tolist() # 将NumPy数组转换成python中的list</p>
<p>　　Out[19]: [[0, 1, 2], [3, 4, 5], [6, 7, 8]]</p>
<p>　　3. 常用函数</p>
<p>　　复制代码 代码如下:</p>
<p>　　In [22]: c = eye(2) # 构建2维单位矩阵</p>
<p>　　In [23]: c</p>
<p>　　Out[23]:</p>
<p>　　array([[ 1., 0.],</p>
<p>　　[ 0., 1.]])</p>
<p>　　In [25]: savetxt("eye.txt", c) # 将矩阵保存到文件中</p>
<p>　　In [5]: c, v = loadtxt("test.csv", delimiter=",", usecols=(0, 1),  unpack=True) # 分隔符为, usecols为元组表示要获取的字段数据(每一行的第零段和第一段), unpack为True表示拆分存储不同列的数据,  分别存入c, v</p>
<p>　　In [12]: c</p>
<p>　　Out[12]: array([ 1., 4., 7.])</p>
<p>　　In [13]: mean(c) # 计算矩阵c的mean均值</p>
<p>　　Out[13]: 4.0</p>
<p>　　In [14]: np.max(c) # 求数组中的最大值</p>
<p>　　Out[14]: 7.0</p>
<p>　　In [15]: np.min(c) # 求数组中的最小值</p>
<p>　　Out[15]: 1.0</p>
<p>　　In [16]: np.ptp(c) # 返回数组最大值和最小值之间的差值</p>
<p>　　Out[16]: 6.0</p>
<p>　　In [18]: numpy.median(c) # 找到数组中的中位数(中间两个数的平均值)</p>
<p>　　Out[18]: 4.0</p>
<p>　　In [19]: numpy.var(c) # 计算数组的方差</p>
<p>　　Out[19]: 6.0</p>
<p>　　In [20]: numpy.diff(c) # 返回相邻数组元素的差值构成的数组</p>
<p>　　Out[20]: array([ 3., 3.])</p>
<p>　　In [21]: numpy.std(c) # 计算数组的标准差</p>
<p>　　Out[21]: 2.4494897427831779</p>
<p>　　In [22]: numpy.where(c &gt; 3) # 返回满足条件的数组元素的下标组成的数组</p>
<p>　　Out[22]: (array([1, 2]),)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 00:49:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/ipython/" title="ipython">ipython</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>, <a href="https://www.iamivan.net/tag/out/" title="out">out</a>, <a href="https://www.iamivan.net/tag/numpy/" title="numpy">numpy</a>, <a href="https://www.iamivan.net/tag/%e7%bb%b4%e5%ba%a6/" title="维度">维度</a>, <a href="https://www.iamivan.net/tag/pip/" title="pip">pip</a>, <a href="https://www.iamivan.net/tag/c-%e8%ae%be%e7%bd%ae%e7%bb%b4%e5%ba%a6%e6%95%b0%e7%bb%84/" title="c&plus;&plus;设置维度数组">c&plus;&plus;设置维度数组</a>, <a href="https://www.iamivan.net/tag/revel%e6%a1%86%e6%9e%b6/" title="revel框架">revel框架</a>, <a href="https://www.iamivan.net/tag/detele-in/" title="detele in">detele in</a>, <a href="https://www.iamivan.net/tag/c-out/" title="c out">c out</a>, <a href="https://www.iamivan.net/tag/ins/" title="ins">ins</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python NumPy库安装使用笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgExPZz.html" rel="bookmark">Python NLTK库安装Error&colon;Resource u&ast;corpora&sol;gutenberg&ast; not found&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请标明出处: http://blog.csdn.net/djy1992/article/details/72828734 本文出自:[奥特曼超人的博客] 提起聊天机器人, 想必大家会想起一个优秀的库,NLTK库,这里简化了安装流程并提到大家都会遇到的一个错误. Resource u*corpora/gutenberg* not found. Please use the NLTKDownloader to obtain the resource: 运行环境: WIN+Python 2.7 安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4kDOp.html" rel="bookmark">Python中pip安装非PyPI官网第三方库的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中pip安装非PyPI官网第三方库的方法,pip最新的版本(1.5以上的版本), 出于安全的考虑,pip不允许安装非PyPI的URL,本文就给出两种解决方法,需要的朋友可以参考下 在python中安装非自带python模块,有三种方式: 1.easy_install 2.pip 3.下载压缩包(.zip, .tar, .tar.gz)后解压, 进入解压缩的目录后执行python setup.py install命令 本文主要针对pip安装时可能会碰到的一种情况,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWkOqM.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;2&period;2　使用NumPy库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 使用NumPy库 Python中,NumPy提供了一条高效处理超大数组的途径.大多数Python科学计算库中都在内部使用NumPy处理数组和矩阵操作.在本书中,NumPy被广泛应用,我们在本节介绍它. 2.2.1 准备工作 我们先写一系列语句来操作数组和矩阵,学习如何使用NumPy.目的是让您习惯使用NumPy数组,它也是本书大多数内容的基础. 2.2.2 操作方法 我们先创建一些简单的矩阵和数组. # Recipe_1a.py # 导入NumPy库,命名为np import numpy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVaOep.html" rel="bookmark">Python pygame安装过程笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天看到一个教程,是关于Python安装pygame模块的.觉得很好,拿来分享一下. 安装Python 额,这个小题貌似在这里很是多余啊.但是为了照顾到刚刚学习Python的童鞋,我还是多啰嗦两句吧. 具体如下: 我们要到Python官网.去下载我们需要的版本.我这里下载的是windows64位 的Python2.7 msi.安装的过程如果不懂,选择为默认即可. 安装easy_install 至于这是个什么东东?我们大可不必劳心,现在只需要知道它能帮助我们安装一些库就可以了.具体的安装过程也很简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWlovp.html" rel="bookmark">Python标准库&mdash;&mdash;走马观花</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Python标准库--走马观花 作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.谢谢!   Python的一大好处在于它有一套很有用的标准库(standard library).标准库是随着Python一起安装在你的电脑中的,是Python的一部分 (当然也有特殊情况.有些场合会因为系统安全性的要求,不使用全部的标准库,比如说Google App Engine).   利用已有的类(class)和函数(function)进行开发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRkDaz.html" rel="bookmark">Python lxml模块安装教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python lxml模块安装教程,本文分别讲解了Windows系统和Linux系统下的安装教程,需要的朋友可以参考下 lxml是Python中与XML及HTML相关功能中最丰富和最容易使用的库.lxml并不是Python自带的包,而是为libxml2和libxslt库的一个Python化的绑定.它与众不同的地方是它兼顾了这些库的速度和功能完整性,以及纯Python API的简洁性,与大家熟知的ElementTree API兼容但比之更优越!但安装lxml却又有点麻烦,因为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK00Ap.html" rel="bookmark">Python Matplotlib库入门指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python Matplotlib库入门指南,本文讲解了Matplotlib是什么,然后给出了Matplotlib基础绘图实例如绘制折线图.绘制多线图,并给出了图例功能使用实例,需要的朋友可以参考下 Matplotlib简介 Matplotlib是一个Python工具箱,用于科学计算的数据可视化.借助它,Python可以绘制如Matlab和Octave多种多样的数据图形.最初是模仿了Matlab图形命令, 但是与Matlab是相互独立的. 通过Matplotlib中简单的接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV9j3b.html" rel="bookmark">Python机器学习库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   Python在科学计算领域,有两个重要的扩展模块:Numpy和Scipy.其中Numpy是一个用python实现的科学计算包.包括: 一个强大的N维数组对象Array: 比较成熟的(广播)函数库: 用于整合C/C++和Fortran代码的工具包: 实用的线性代数.傅里叶变换和随机数生成函数.      SciPy是一个开源的Python算法库和数学工具包,SciPy包含的模块有最优化.线性代数.积分.插值.特殊函数.快速傅里叶变换.信号处理和图像处理.常微分方程求解和其他科学与工程中常用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYj8jp.html" rel="bookmark">Python数据科学安装Numby&comma;pandas&comma;scipy&comma;matpotlib等（IPython安装pandas）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python数据科学安装Numby,pandas,scipy,matpotlib等(IPython安装pandas) 如果还没有本地安装Python.IPython.notebook等请移步 上篇Python,IPython,qtconsole,Notebook,Jupyter快速安装教程 本教程是安装二进制文件,以Windows10 64位操作系统为例,但是二进制文件对应其他Linux和mac os也同样试用. 在开始安装之前,请注意以下前提条件.否则,会出现各种问题. 默认机器上已经安装了P			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBVmNb.html" rel="bookmark" class="title">网站优化三个月为什么排名至今不波动</a>
					<div>
						从网站的建立到上线已经过去了三个月时间了,在这三个月中我也是每天坚持更新,坚持做外链,可是网站的排名从收录后开始的第17名到现在一直稳稳不动,不管是对网站进不进行更新,也不管是如何去做外链,网站都一直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RR28p.html" rel="bookmark" class="title">php curl的基础知识</a>
					<div>
						$ch = curl_init(); # 设定url和把结果返回,是否返回头部 curl_setopt($ch, CURLOPT_URL, 'http://www.baidu.com/'); curl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPrGBM.html" rel="bookmark" class="title">使用IBM FileNet P8实现序列号分发器</a>
					<div>
						简介 很多小商店都按照客户到来的大约顺序给他们发放一个序列号,从而让他们有序地排队.序列号通常由一台机器打印在一小段纸条上.如果多个客户同时光临,出于礼貌原因,排队的次序可能受到干扰. 免责声明 附带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RdRap.html" rel="bookmark" class="title">Java网络编程从入门到精通（21）：HTTP消息的格式</a>
					<div>
						当用户在浏览器中输入一个基于HTTP协议的URL时(以http://开头的URL),就相当于通知器按着这个URL组织生成一个HTTP请求,并交过个请求发送到服务器:同时,等待服务器的响应.无论是请求还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze41E8p.html" rel="bookmark" class="title">用超链接实现幻灯片循环播放</a>
					<div>
						过去,在幻灯片演示结束后,习惯用一个&quot;谢谢大家&quot;的画面来结束播放.不过近年来这一做法却不再流行,大家更倾向于播放结束后马上回到封面页,以显示授课题目和授课人等信息.特别是一些固定场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEZaJb.html" rel="bookmark" class="title">解析Linux系统安全的命令</a>
					<div>
						  虽然Linux和Windows NT/2000系统一样是一个多用户的系统,但是它们之间有不少重要的差别.对于很多习惯了Windows系统的管理员来讲,如何保证Linux操作系统安全.可靠将会面临许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWPamb.html" rel="bookmark" class="title">怎么让word文档窗口添加按钮</a>
					<div>
						  第1步,打开Word文档窗口,依次单击&quot;Office按钮&quot;→&quot;Word选项&quot;命令,如图1所示 第2步,开的&quot;Word选项&quot;对话框中切换到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo73Pjb.html" rel="bookmark" class="title">Win8系统输入法设置与切换的方法</a>
					<div>
						  将电脑升级Win8系统之后,不少用户反映说:win8系统不会使用,弄不懂win系统怎么使用?那么,win8系统怎么用呢?今天小编就先从大家最常用的输入法设置入手,为大家讲解一下Win8系统输入法设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3okrJb.html" rel="bookmark" class="title">在Win8&period;1系统任务栏上显示商店应用</a>
					<div>
						  想在Win8.1系统中使用任务栏切换应用商店的应用.转到&quot;开始&quot;屏幕.检查通知区域.在&quot;开始&quot;屏幕或者打开的商店应用中,将鼠标移至屏幕最下方即可打开隐藏的任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8mArp.html" rel="bookmark" class="title">怎么用iTools安装iphone6 plus deb文件</a>
					<div>
						1.手机连接到电脑上,打开iTools同步软件;找到文件系统-越狱系统,打开文件路径:/var/root/Media/Cydia/AutoInstall,将deb格式文件导入到该文件夹当中.如下图:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJRX6p.html" rel="bookmark" class="title">为什么CPU很少会坏？</a>
					<div>
						  从两千年左右接触计算机到现在似乎没有听说过CPU坏掉.CPU是不是真的很少会坏?是品控严格还是这类产品结构上就不容易损坏?或者其他? CPU还是会坏的. 虽然层层封装的保护加上生产工厂的良品控制, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3olBmb.html" rel="bookmark" class="title">CPU中AMD A6怎么样</a>
					<div>
						  AMD A6系列APU主打700-800元的主流市场,A6-3650就是其中的主力型号.采用最新的32nm制作工艺,CPU部分采用原生四核设计,基于Husky微架构(K10的改进版),主频为2.6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWNjPb.html" rel="bookmark" class="title">PE Builder操作介绍</a>
					<div>
						  Barts PE Builder是制作系统维护光盘的又一好工具.那么这款工具是如何操作的呢? 在使用Barts PE Builder制作系统维护光盘以前,首先需要对其进行必要的安装设置,操作步骤如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ5Xnp.html" rel="bookmark" class="title">如何快速更改文件名</a>
					<div>
						  我们知道,很多时候需要更改文件名,在一般情况下,点击右键,然后点击重命名,再输入新的名称,这样未尝不可,但是如果更改的文件较多,就非常麻烦,我们可以使用快捷键F2,点击文件,按F2,然后就可以改名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa3N8z.html" rel="bookmark" class="title">删除文件提示正在被另一程序使用怎么办</a>
					<div>
						  这一类方法很简单,就是利用第三方软件啦定位后台进程了,比如说冰刃等,但是有的软件不支持XP以上的系统,我们就只能来通过自带的任务管理器来实现了. 1.右击任务栏启动任务管理器,或者组合键CRTL+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7BQDb.html" rel="bookmark" class="title">Mac怎么切换DNS地址</a>
					<div>
						  Mac怎么切换DNS地址?现在,不少刚刚使用Mac的用户都在问,Mac怎么切换DNS地址?因为在不同的网络环境下,很多人都需要切换不同的 Dns 地址.如果每次都手动更改的话,那多麻烦.这里小编给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZrlBb.html" rel="bookmark" class="title">&lbrack;备忘&rsqb;windows 下 mailslot 接收不到的问题</a>
					<div>
						在 windows NT 下使用 mailslot 会有双方都无法收到,或是单方无法收到 msg 的现象,网上书籍都没有讲述,采取措施如下,仍然无效: 0 关闭双方第三方防火墙: 1 关闭双方xp自带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwVglM.html" rel="bookmark" class="title">寻 oad unner测试报告-寻求LoadRunner压力测试报告</a>
					<div>
						问题描述 寻求LoadRunner压力测试报告 小弟等他拜谢点阅回答小弟问题的各位大哥大姐大神们.这厢有礼了!由于最近在做一个项目,需要考虑到服务器的负载性能.LoadRunner做测试,小弟不懂,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAPRvM.html" rel="bookmark" class="title">聊天软件的数据库的表格代码是</a>
					<div>
						问题描述 聊天软件的数据库的表格代码是 就是那个表格数据的建表,主键.聊天软件的数据库的表格代码.请各位大神帮帮 解决方案 ------------------------啥? 解决方案二: 参考这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVXA5b.html" rel="bookmark" class="title">魔兽世界客户端数据研究（三）</a>
					<div>
						终于决定,还是通过wow model viewer起手,研究一下WOW的数据类型,从另一个角度,体验一把这个唯一让我充过值的游戏. 这将是一系列随笔,即在读代码的时候,顺便记录,以理清思路和加深映象. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA4JZM.html" rel="bookmark" class="title">showModalDialog网页对话框关闭时刷新父窗口时&comma;弹出这样的提示框&amp;amp&semi;amp&semi;quot&semi;请重新发送消息&comma;无法刷新网页&amp;amp&semi;amp&semi;quot&semi;</a>
					<div>
						问题描述 showModalDialog网页对话框关闭时刷新父窗口时,弹出这样的提示框&quot;请重新发送消息,无法刷新网页&quot;在网上找了N种办法,就是没用,真伤脑筋.请教哪位大侠指教,项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Bdxp.html" rel="bookmark" class="title">c&plus;&plus;-C&sol;C&plus;&plus;谁申请谁释放原则</a>
					<div>
						问题描述 C/C++谁申请谁释放原则 在C/C++中有一个原则&quot;谁申请谁释放&quot;,那么下面的代码符合这个原则么? char *fun() { char *result = mallo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZWWBz.html" rel="bookmark" class="title">诠释数据降维算法：一文讲尽t-分布邻域嵌入算法&lpar;t-SNE&rpar;如何有效利用</a>
					<div>
						(文中所有截图,都有华丽的动态效果,详情请点击原文:http://distill.pub/2016/misread-tsne/ 查看) t-分布领域嵌入算法(t-SNE, t-distributed  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RklZb.html" rel="bookmark" class="title">解决iconv函数无法转换某些中文的问题</a>
					<div>
						原文: 解决iconv函数无法转换某些中文的问题 请先看以下代码,这个页面是GB2312编码的: $str = '陶喆';echo 'gb2312-'.$str;echo '&lt;br /&gt;' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zm86z.html" rel="bookmark" class="title">Android自定义控件开发实战之实现ListView下拉刷新实例代码&lowbar;Android</a>
					<div>
						这篇博客为大家介绍一个android常见的功能--ListView下拉刷新: 首先下拉未松手时候手机显示这样的界面: 下面的代码是自定的扎样的控件: &lt;span style=&quot;font ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmD51b.html" rel="bookmark" class="title">写在随手记2亿美金融资之后，财务金融是伪命题还是真风口？</a>
					<div>
						近日,随手科技对外宣布完成2亿美元C轮融资,该融资由全球知名私募KKR集团领投,红杉资本.源码资本.凡普金科跟投.作为国内个人记账软件领域的领头羊,随手科技C轮融资的成功,也将&quot;财务金融&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK4P8b.html" rel="bookmark" class="title">string-asp&period;net 页面提示框内容如何写</a>
					<div>
						问题描述 asp.net 页面提示框内容如何写 我想在弹出的的提示框中写入字符串,要如何做 比如 dim str as string=&quot;123&quot; //这个在程序中是变的 我需要在提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeKOyb.html" rel="bookmark" class="title">Delphi 命令行编译指南</a>
					<div>
						  Delphi 命令行编译指南 目录1. Command-line compiler命令行编译器2. Command-line compiler options命令行编译器选项3. Compiler ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX8LWz.html" rel="bookmark" class="title">盘点社交网络上的36种用户</a>
					<div>
						随着现在的科技发展之快,一个明星的新闻就会出现多种评论,而且评论内容各不相同,我们都知道Facebook是当下最热的社交软件之一,在Facebook上的活跃的用户也不在少数,他们俨然已经将发状态成为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBdWaz.html" rel="bookmark" class="title">小米笔记本曝光，称售价3999元</a>
					<div>
						在之前就有消息称,小米将会推出一款笔记本电脑,这款笔记本仍将走高性价比线路.现在这款笔记本的样机已经曝光,据小道消息称,该机将采用Intel最新 的Haswell Core i7处理器,4GB DDR ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
